Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-62803

Multi-slave-config plugin broken with tables-to-divs

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      The multi-slave-config plugin has custom forks of several jelly widgets that may break with the tables-to-divs changes:

       

      It needs to be reviewed and fixed if needed.

        Attachments

          Activity

          Hide
          stuartrowe Stuart Rowe added a comment -

          This plugin appears to be broken after we upgraded our instance from 2.235.2 to 2.249.1.

          No agents are found / listed:


          Possibly related to the error I found in the console:

          Show
          stuartrowe Stuart Rowe added a comment - This plugin appears to be broken after we upgraded our instance from 2.235.2 to 2.249.1. No agents are found / listed: Possibly related to the error I found in the console:
          Hide
          fqueiruga Félix Queiruga Balado added a comment - - edited

          Probably due to the fact that it has custom markup. I would recommend adapting the plugin to use the jelly widgets from Jenkins core

           

          Show
          fqueiruga Félix Queiruga Balado added a comment - - edited Probably due to the fact that it has custom markup. I would recommend adapting the plugin to use the jelly widgets from Jenkins core  
          Hide
          fqueiruga Félix Queiruga Balado added a comment -

          Stuart Rowe is there any chance you could try this out with the current Jenkins weekly? It may have been fixed already.

          Show
          fqueiruga Félix Queiruga Balado added a comment - Stuart Rowe  is there any chance you could try this out with the current Jenkins weekly? It may have been fixed already.
          Hide
          stuartrowe Stuart Rowe added a comment -

          Félix Queiruga Balado I was able to test on LTS 2.263.4 and it's still broken.

          Show
          stuartrowe Stuart Rowe added a comment - Félix Queiruga Balado  I was able to test on LTS 2.263.4 and it's still broken.
          Hide
          1996phani Shanmukha Gajula added a comment - - edited

          I am using Jenkins 2.277.3 LTS, even I am seeing this issue.

          Show
          1996phani Shanmukha Gajula added a comment - - edited I am using  Jenkins 2.277.3  LTS, even I am seeing this issue.
          Hide
          markewaite Mark Waite added a comment -

          Shanmukha Gajula this plugin was last released 7 years ago, with the original release 10 years ago. Your choices include:

          • Uninstall the plugin and configure agents one at a time
          • Adopt the plugin and replace its forks of the jelly widgets with standard jelly widgets
          • Stay with a Jenkins version 2.249.1 or earlier and accept the security issues and functional issues of those older versions
          Show
          markewaite Mark Waite added a comment - Shanmukha Gajula this plugin was last released 7 years ago , with the original release 10 years ago. Your choices include: Uninstall the plugin and configure agents one at a time Adopt the plugin and replace its forks of the jelly widgets with standard jelly widgets Stay with a Jenkins version 2.249.1 or earlier and accept the security issues and functional issues of those older versions
          Hide
          1996phani Shanmukha Gajula added a comment -

          Got it Mark Waite thanks

          Show
          1996phani Shanmukha Gajula added a comment - Got it Mark Waite thanks

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            fqueiruga Félix Queiruga Balado
            Votes:
            3 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated: